"use client"

import useSWR from 'swr'

// @ts-expect-error ignore ...args type
export const fetcher = (...args) => fetch(...args).then(res => res.json()) 


export function useUser (id: number) {
  const { data, error, isLoading } = useSWR(`/api/waiters/${id}`, fetcher)
 
  return {
    user: data,
    isLoading,
    isError: error
  }
}