import { Order } from './tools';

export function OrderID({ order }: { order: Order }) {
  return (
    <h1 className="text-xl">
      <span className="font-mono">
        {'['}
        {String(order.id % 1000).padStart(3, '0')}
        {']'}
      </span>{' '}
      - Godzina realizacji -{' '}
      <span className="font-mono">{order.realization_time}</span>
    </h1>
  );
}
