import type { Metadata } from 'next';
import './globals.css';

export const metadata: Metadata = {
  title: 'Bistro',
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="pl">
      <body className="antialiased p-4 flex flex-col gap-2 items-center">
        {children}
      </body>
    </html>
  );
}
